﻿@model AddToWaitListViewModel
@{
    ViewBag.Title = "Add to waitlist";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="col-md-3"></div>

<div class="col-md-6" style="margin: auto">
    <h3>Add participant to waitlist for @Model.ProgramName.</h3>

    <div class="clearfix">
        <h5>
            @Model.WaitlistPolicy
        </h5>

    </div>

    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(excludePropertyErrors: true, message: null, htmlAttributes: new { @class = "text-danger" })

        @Html.HiddenFor(model => model.ProgramName)
        @Html.HiddenFor(model => model.WaitlistPolicy)

        <div class="form-horizontal form-body margin20">

            <div class="row">

                <div class="col-md-12">
                    <div class="form-group">
                        @Html.LabelFor(model => model.FirstName, htmlAttributes: new { @class = "control-label col-md-4 req" })
                        <div class="col-md-4">
                            @Html.EditorFor(model => model.FirstName, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.FirstName, "", new { @class = "text-danger" })
                        </div>

                    </div>

                </div>

                <div class="col-md-12">

                    <div class="form-group">
                        @Html.LabelFor(model => model.LastName, htmlAttributes: new { @class = "control-label col-md-4 req" })
                        <div class="col-md-4">
                            @Html.EditorFor(model => model.LastName, new { htmlattributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.LastName, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

                <div class="col-md-12">
                    <div class="form-group">
                        @Html.LabelFor(model => model.PhoneNumber, htmlAttributes: new { @class = "control-label col-md-4" })
                        <div class="col-md-4">
                            @Html.EditorFor(model => model.PhoneNumber, new { htmlattributes = new { @class = "form-control"} })
                            @Html.ValidationMessageFor(model => model.PhoneNumber, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>


                <div class="col-md-12">

                    <div class="form-group">
                        @Html.LabelFor(model => model.Grade, htmlAttributes: new { @class = "control-label col-md-4 req" })
                        <div class="col-md-4">
                            @Html.EnumDropDownListFor(model => model.Grade, new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.Grade, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

            </div>


            <div class="box-footer margin-right20">
                <a href="@Request.QueryString["returnUrl"]" class="btn btn-primary pull-left">Back</a>
                <button type="submit" class="btn btn-success pull-right">Submit</button>
            </div>
        </div>

    }
</div>

<div class="col-md-3"></div>